Subject: bug#56291: 29.0.50; version-control versus gnus-backup-startup-file

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Jun 2022 19:05:38 +0300

> Cc: [email-masked]
> From: Mike Kupfer <[email-masked]>
> Date: Wed, 29 Jun 2022 07:38:28 -0700
> 
> Lars Ingebrigtsen wrote:
> 
> > Mike Kupfer <[email-masked]> writes:
> > >     Some packages, such as Rmail, override the global setting of
> > >     ‘version-control’ in this manner.
> > 
> > I don't think that's correct, though?  rmail-mode doesn't use file
> > variables, it does:
> > 
> >   (setq-local version-control 'never)
> > 
> > So it doesn't set version-control "in this manner", as far as I can tell?
> 
> Fair enough.  How about
> 
>     The usual way to set this variable is globally, through your init
>     file or the customization buffer.  However, you can set
>     ‘version-control’ locally in an individual buffer to control the
>     making of backups for that buffer’s file (*note Locals::).  Some
>     packages, such as Rmail, override the global setting of
>     ‘version-control’ this way.  You can also have Emacs set
>     ‘version-control’ locally whenever you visit a given file (*note File
>     Variables::).
> 
> ?

The point of the example is to illustrate the local setting of the
variable, so talking about packages that set the global value misses
the point, and shouldn't be there.  If Rmail is a bad example, then we
should find a better one, and mention only those.